TransparentDataEncryptionOptions (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.config

## Class TransparentDataEncryptionOptions

- java.lang.Object
- - org.apache.cassandra.config.TransparentDataEncryptionOptions

-     public class TransparentDataEncryptionOptions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `chunk_length_kb`
    `java.lang.String` | `cipher`
    `boolean` | `enabled`
    `int` | `iv_length`
    `java.lang.String` | `key_alias`
    `ParameterizedClass` | `key_provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransparentDataEncryptionOptions()`
    `TransparentDataEncryptionOptions(boolean enabled)`
    `TransparentDataEncryptionOptions(boolean enabled, java.lang.String cipher, java.lang.String keyAlias, ParameterizedClass keyProvider)`
    `TransparentDataEncryptionOptions(java.lang.String cipher, java.lang.String keyAlias, ParameterizedClass keyProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `boolean` | `equals(TransparentDataEncryptionOptions other)`
    `java.lang.String` | `get(java.lang.String key)`
    `void` | `remove(java.lang.String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### enabled

          public boolean enabled

    - #### chunk_length_kb

          public int chunk_length_kb

    - #### cipher

          public java.lang.String cipher

    - #### key_alias

          public java.lang.String key_alias

    - #### iv_length

          public int iv_length

    - #### key_provider

          public ParameterizedClass key_provider

  - ### Constructor Detail

    - #### TransparentDataEncryptionOptions

          public TransparentDataEncryptionOptions()

    - #### TransparentDataEncryptionOptions

          public TransparentDataEncryptionOptions(boolean enabled)

    - #### TransparentDataEncryptionOptions

          public TransparentDataEncryptionOptions(java.lang.String cipher,
                                                  java.lang.String keyAlias,
                                                  ParameterizedClass keyProvider)

    - #### TransparentDataEncryptionOptions

          public TransparentDataEncryptionOptions(boolean enabled,
                                                  java.lang.String cipher,
                                                  java.lang.String keyAlias,
                                                  ParameterizedClass keyProvider)

  - ### Method Detail

    - #### get

          public java.lang.String get(java.lang.String key)

    - #### remove

          public void remove(java.lang.String key)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TransparentDataEncryptionOptions other)

Copyright © 2018 The Apache Software Foundation